return Def.ActorFrame{
	-- Def.BitmapText{
		-- Font="Common Large",
		-- Text=THEME:GetString("ScreenCaution", "Caution"),
		-- InitCommand=function(self) self:xy(_screen.cx,40):rotationz(-3) end
	-- },
	-- Main backing.
	Def.Quad {
		InitCommand=cmd(Center;FullScreen;diffuse,Color.Black),
		OnCommand=function(self) self:diffusealpha(0):linear(1):diffusealpha(0.5) end,
		OffCommand=function(self) self:stoptweening():linear(1):diffusealpha(0) end
	},
	
	-- Fun scrolling thingies.
	LoadActor(THEME:GetPathB("_common", "cautionscroll")) .. {
		InitCommand=cmd(xy,_screen.cx,64;zoomto,_screen.w,128;customtexturerect,0,0,2.75,1;texcoordvelocity,0.3,0;diffuse,LocalGoldColor(1);blend,Blend.Add),
		OnCommand=function(self) self:diffusealpha(0):decelerate(1):diffusealpha(1) end,
		OffCommand=function(self) self:stoptweening():accelerate(1):diffusealpha(0) end
	},
	LoadActor(THEME:GetPathB("_common", "starscroll")) .. {
		InitCommand=cmd(xy,_screen.cx,_screen.h-12;zoomto,_screen.w,128;customtexturerect,0,0,2.75,1;texcoordvelocity,-0.3,0;diffuse,LocalGoldColor(1);blend,Blend.Add),
		OnCommand=function(self) self:diffusealpha(0):decelerate(1):diffusealpha(1) end,
		OffCommand=function(self) self:stoptweening():accelerate(1):diffusealpha(0) end
	},
	
	-- Top half; about not being careless.
	Def.Quad{
		InitCommand=function(self)
			self:xy(_screen.cx,_screen.cy-90):zoomto(_screen.w*1.2,140):diffuse(LocalBlueColor(0.5)):rotationz(0.5):cropright(1)
		end,
		OnCommand=function(self)
			self:linear(0.7):cropleft(0):cropright(0)
		end,
		OffCommand=function(self)
			self:hurrytweening(0.2):linear(0.7):cropleft(1)
		end,
	},
	Def.Quad{
		InitCommand=function(self)
			self:xy(_screen.cx,_screen.cy-90):zoomto(_screen.w*1.2,120):diffuse(LocalBlueColor(0)):cropright(1)
		end,
		OnCommand=function(self)
			self:linear(0.7):cropleft(0):cropright(0)
		end,
		OffCommand=function(self)
			self:hurrytweening(0.2):linear(0.7):cropleft(1)
		end,
	},
	--designated illustration area
	-- Def.Quad{
		-- InitCommand=function(self) self:xy(70,_screen.cy-90):zoomto(100,100):diffusealpha(0) end,
		-- OnCommand=function(self)
			-- self:sleep(0.4):linear(0.3):diffusealpha(1)
		-- end,
		-- OffCommand=function(self)
			-- self:hurrytweening(0.2):linear(0.4):diffusealpha(0)
		-- end,
	-- },
	Def.BitmapText{
		Font="Common Normal",
		Text=THEME:GetString("ScreenCaution", "PlatformHome"),
		InitCommand=function(self)
			self:horizalign(left):xy(150,_screen.cy-90):zoom(0.5):maxwidth((_screen.w-180)/0.5):wrapwidthpixels((_screen.w-180)/0.5):diffusealpha(0)
		end,
		OnCommand=function(self)
			self:addx(-10):sleep(0.4):linear(0.3):addx(10):diffusealpha(1)
		end,
		OffCommand=function(self)
			self:hurrytweening(0.2):linear(0.4):addx(10):diffusealpha(0)
		end,
	},
	
	-- Bottom half; about epilepsy.
	Def.Quad{
		InitCommand=function(self)
			self:xy(_screen.cx,_screen.cy+90):zoomto(_screen.w*1.2,140):diffuse(LocalBlueColor(0.5)):rotationz(-0.5):cropleft(1)
		end,
		OnCommand=function(self)
			self:sleep(0.7):linear(0.7):cropleft(0):cropright(0)
		end,
		OffCommand=function(self)
			self:hurrytweening(0.2):linear(0.7):cropright(1)
		end,
	},
	Def.Quad{
		InitCommand=function(self)
			self:xy(_screen.cx,_screen.cy+90):zoomto(_screen.w*1.2,120):diffuse(LocalBlueColor(0)):cropleft(1)
		end,
		OnCommand=function(self)
			self:sleep(0.7):linear(0.7):cropleft(0):cropright(0)
		end,
		OffCommand=function(self)
			self:hurrytweening(0.2):linear(0.7):cropright(1)
		end,
	},
	-- designated illustration area
	-- Def.Quad{
		-- InitCommand=function(self) self:xy(_screen.w-70,_screen.cy+90):zoomto(100,100):diffusealpha(0) end,
		-- OnCommand=function(self)
			-- self:sleep(1.1):linear(0.3):diffusealpha(1)
		-- end,
		-- OffCommand=function(self)
			-- self:hurrytweening(0.2):linear(0.4):diffusealpha(0)
		-- end,
	-- },
	Def.BitmapText{
		Font="Common Normal",
		Text=THEME:GetString("ScreenCaution", "Health"),
		InitCommand=function(self)
			self:horizalign(right):xy(_screen.w-150,_screen.cy+90):zoom(0.5):maxwidth((_screen.w-180)/0.5):wrapwidthpixels((_screen.w-180)/0.5):diffusealpha(0)
		end,
		OnCommand=function(self)
			self:addx(10):sleep(1.1):linear(0.3):addx(-10):diffusealpha(1)
		end,
		OffCommand=function(self)
			self:hurrytweening(0.2):linear(0.4):addx(-10):diffusealpha(0)
		end,
	},
}
